com.independentsoft.exchange

## Class Contains

- java.lang.Object
- - com.independentsoft.exchange.Restriction
  - - com.independentsoft.exchange.Contains

-     public class Contains
      extends Restriction

  Represents a search expression that determines whether a given property contains the supplied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contains()` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, boolean value)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, boolean value, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, boolean value, ContainmentMode mode)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, boolean value, ContainmentMode mode, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.util.Date value)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.util.Date value, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.util.Date value, ContainmentMode mode)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.util.Date value, ContainmentMode mode, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, double value)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, double value, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, double value, ContainmentMode mode)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, double value, ContainmentMode mode, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, long value)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, long value, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, long value, ContainmentMode mode)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, long value, ContainmentMode mode, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.lang.String value)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.lang.String value, ContainmentComparison comparison)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.lang.String value, ContainmentMode mode)` Initializes a new instance of the Contains class.
    `Contains(PropertyPath propertyPath, java.lang.String value, ContainmentMode mode, ContainmentComparison comparison)` Initializes a new instance of the Contains class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainmentComparison` | `getComparison()` Gets whether the search ignores cases and spaces.
    `ContainmentMode` | `getMode()` Gets the boundaries of a search.
    `PropertyPath` | `getPropertyPath()` Gets the property path.
    `java.lang.String` | `getValue()` Gets the value.
    `void` | `setComparison(ContainmentComparison comparison)` Gets whether the search ignores cases and spaces.
    `void` | `setMode(ContainmentMode mode)` Sets the boundaries of a search.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets the property path.
    `void` | `setValue(java.lang.String value)` Sets the value.
    `java.lang.String` | `toString()` Converts the value of the current Contains object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Contains

          public Contains()

      Initializes a new instance of the Contains class.

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          long value)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          long value,
                          ContainmentMode mode)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          long value,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          long value,
                          ContainmentMode mode,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          double value)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          double value,
                          ContainmentMode mode)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          double value,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          double value,
                          ContainmentMode mode,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          boolean value)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          boolean value,
                          ContainmentMode mode)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          boolean value,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          boolean value,
                          ContainmentMode mode,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.util.Date value)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.util.Date value,
                          ContainmentMode mode)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.util.Date value,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.util.Date value,
                          ContainmentMode mode,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.lang.String value)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.lang.String value,
                          ContainmentMode mode)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.lang.String value,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `comparison` - the comparison

    - #### Contains

          public Contains(PropertyPath propertyPath,
                          java.lang.String value,
                          ContainmentMode mode,
                          ContainmentComparison comparison)

      Initializes a new instance of the Contains class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value
        `mode` - the mode
        `comparison` - the comparison

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Contains object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets the property path.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets the property path.
      Parameters:
        `propertyPath` - the new property path

    - #### getValue

          public java.lang.String getValue()

      Gets the value.
      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value.
      Parameters:
        `value` - the new value

    - #### getMode

          public ContainmentMode getMode()

      Gets the boundaries of a search.
      Returns:
        the mode

    - #### setMode

          public void setMode(ContainmentMode mode)

      Sets the boundaries of a search.
      Parameters:
        `mode` - the new mode

    - #### getComparison

          public ContainmentComparison getComparison()

      Gets whether the search ignores cases and spaces.
      Returns:
        the comparison

    - #### setComparison

          public void setComparison(ContainmentComparison comparison)

      Gets whether the search ignores cases and spaces.
      Parameters:
        `comparison` - the new comparison